org.apache.solr.util

## Class ReadOnlyCoresLocator

- java.lang.Object
- - org.apache.solr.util.ReadOnlyCoresLocator

- All Implemented Interfaces:
    org.apache.solr.core.CoresLocator
  Direct Known Subclasses:
    TestHarness.TestCoresLocator

      public abstract class ReadOnlyCoresLocator
      extends Object
      implements org.apache.solr.core.CoresLocator

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReadOnlyCoresLocator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `create(org.apache.solr.core.CoreContainer cc, org.apache.solr.core.CoreDescriptor... coreDescriptors)`
    `void` | `delete(org.apache.solr.core.CoreContainer cc, org.apache.solr.core.CoreDescriptor... coreDescriptors)`
    `void` | `persist(org.apache.solr.core.CoreContainer cc, org.apache.solr.core.CoreDescriptor... coreDescriptors)`
    `void` | `rename(org.apache.solr.core.CoreContainer cc, org.apache.solr.core.CoreDescriptor oldCD, org.apache.solr.core.CoreDescriptor newCD)`
    `void` | `swap(org.apache.solr.core.CoreContainer cc, org.apache.solr.core.CoreDescriptor cd1, org.apache.solr.core.CoreDescriptor cd2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.solr.core.CoresLocator

      `discover`

- - ### Constructor Detail

    - #### ReadOnlyCoresLocator

          public ReadOnlyCoresLocator()

  - ### Method Detail

    - #### create

          public void create(org.apache.solr.core.CoreContainer cc,
                             org.apache.solr.core.CoreDescriptor... coreDescriptors)

      Specified by:
        `create` in interface `org.apache.solr.core.CoresLocator`

    - #### persist

          public void persist(org.apache.solr.core.CoreContainer cc,
                              org.apache.solr.core.CoreDescriptor... coreDescriptors)

      Specified by:
        `persist` in interface `org.apache.solr.core.CoresLocator`

    - #### delete

          public void delete(org.apache.solr.core.CoreContainer cc,
                             org.apache.solr.core.CoreDescriptor... coreDescriptors)

      Specified by:
        `delete` in interface `org.apache.solr.core.CoresLocator`

    - #### rename

          public void rename(org.apache.solr.core.CoreContainer cc,
                             org.apache.solr.core.CoreDescriptor oldCD,
                             org.apache.solr.core.CoreDescriptor newCD)

      Specified by:
        `rename` in interface `org.apache.solr.core.CoresLocator`

    - #### swap

          public void swap(org.apache.solr.core.CoreContainer cc,
                           org.apache.solr.core.CoreDescriptor cd1,
                           org.apache.solr.core.CoreDescriptor cd2)

      Specified by:
        `swap` in interface `org.apache.solr.core.CoresLocator`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.